Page MenuHomePhabricator

Decommission cp300[3456]
Closed, ResolvedPublic

Description

cp300[3456] are ready for decom. They're switched to role::spare::system in puppet and have been freshly reinstalled in that role (no leftover services possible). These do need secure erase of drives to avoid leaking key material.

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp (replace with role::spare if system isn't shut down immediately during this process.)

START NON-INTERRUPPTABLE STEPS

  • - disable puppet on host
  • - remove all remaining puppet references (include role::spare)
  • - power down host
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate

END NON-INTERRUPPTABLE STEPS

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

BBlack created this task.Jun 8 2017, 3:55 AM
faidon moved this task from Backlog to Decommission on the ops-esams board.Aug 29 2017, 3:05 PM
RobH claimed this task.Feb 9 2018, 10:32 PM
ema updated the task description. (Show Details)Jul 4 2018, 3:32 PM

Change 443845 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] Decommission ex-cache_maps: cp300[3-6]

https://gerrit.wikimedia.org/r/443845

Change 443846 had a related patch set uploaded (by Ema; owner: Ema):
[operations/dns@master] Remove DNS entries for esams ex-cache_maps: cp300[3-6]

https://gerrit.wikimedia.org/r/443846

Change 443845 merged by Ema:
[operations/puppet@production] Decommission esams ex-cache_maps: cp300[3-6]

https://gerrit.wikimedia.org/r/443845

ema updated the task description. (Show Details)Jul 4 2018, 3:45 PM
ema updated the task description. (Show Details)Jul 4 2018, 3:47 PM

Mentioned in SAL (#wikimedia-traffic) [2018-07-04T15:52:10Z] <ema> cp300[3-6]: puppet node clean/deactivate T167376

ema updated the task description. (Show Details)Jul 4 2018, 3:53 PM

Change 443846 merged by Ema:
[operations/dns@master] Remove production DNS entries for esams ex-cache_maps

https://gerrit.wikimedia.org/r/443846

ema updated the task description. (Show Details)Jul 4 2018, 3:59 PM

Change 443851 had a related patch set uploaded (by Ema; owner: Ema):
[operations/dns@master] Remove mgmt DNS entries for esams ex-cache_maps

https://gerrit.wikimedia.org/r/443851

Change 443851 merged by Ema:
[operations/dns@master] Remove mgmt DNS entries for esams ex-cache_maps

https://gerrit.wikimedia.org/r/443851

RobH removed RobH as the assignee of this task.Jul 18 2018, 5:59 PM
RobH added a subscriber: RobH.
Papaul claimed this task.Oct 17 2019, 12:37 AM
Papaul closed this task as Resolved.Oct 28 2019, 2:22 PM
Papaul updated the task description. (Show Details)